Package org.apache.sling.servlets.annotations

## Annotation Type SlingServletPaths

    @ComponentPropertyType
    public @interface SlingServletPaths

Component Property Type (as defined by OSGi DS 1.4) for Sling Servlets. Takes care of writing the relevant service properties as being used by the Sling Servlet Resolver (`ServletResolverConstants`) to register the annotated servlet component as Sling servlet for a specific path. Preferably register Sling servlets by resource type (`SlingServletResourceTypes`) though for reasons outlined at Caveats when binding servlets by path.

See Also:
  Sling Servlets, `ServletResolverConstants`, Felix SCR annotation, `SlingServletPathsStrict`

### Required Element Summary

Required Elements
`String[]` `value` The absolute paths under which the servlet is accessible as a resource.

### Element Detail

#### value

    String[] value

The absolute paths under which the servlet is accessible as a resource. A relative path is made absolute by prefixing it with the value set through the `SlingServletPrefix` annotation.

This annotation or `SlingServletResourceTypes` should be used to properly register the servlet in Sling. If both are set the servlet is registered using both ways.

A servlet using this property might be ignored unless its path is included in the Execution Paths `servletresolver.paths` configuration setting of the `org.apache.sling.servlets.resolver.internal.SlingServletResolver` service.

Returns:
  the absolute paths under which the servlet is accessible as a resource
See Also:
  `ServletResolverConstants.SLING_SERVLET_PATHS`